##################################################
########## Network Devices Templates #############
##################################################

# Generic Switch
define host{
        name                            generic-switch
        notifications_enabled           1
        event_handler_enabled           1
        flap_detection_enabled          1
        failure_prediction_enabled      1
        process_perf_data               1
        retain_status_information       1
        retain_nonstatus_information    1
        check_command                   check-host-alive
        check_period                    24x7
        notification_period             24x7
        notification_options            d,u,r
        contact_groups                  support
        max_check_attempts              3
        notification_interval           30
        register                        0
}

# Switch noping
define host{
        name                            noping-switch
        notifications_enabled           1
        event_handler_enabled           1
        flap_detection_enabled          1
        failure_prediction_enabled      1
        process_perf_data               1
        retain_status_information       1
        check_period                    24x7
        notification_period             24x7
        notification_options            d,u,r
        contact_groups                  support
        max_check_attempts              3
        notification_interval           30
        register                        0
}

# Generic AP
define host{
        name                            generic-ap
        notifications_enabled           1
        event_handler_enabled           1
        flap_detection_enabled          1
        failure_prediction_enabled      1
        process_perf_data               1
        retain_status_information       1
        retain_nonstatus_information    1
        check_command                   check-host-alive
        check_period                    24x7
        notification_period             24x7
        notification_options            d,u,r
        contact_groups                  support
        max_check_attempts              3
        notification_interval           30
        register                        0
}


# AP noping
define host{
        name                            noping-ap
        notifications_enabled           1
        event_handler_enabled           1
        flap_detection_enabled          1
        failure_prediction_enabled      1
        process_perf_data               1
        retain_status_information       1
        retain_nonstatus_information    1
        check_period                    24x7
        notification_period             24x7
        notification_options            d,u,r
        contact_groups                  support
        max_check_attempts              3
        notification_interval           30
        register                        0
}

# Generic Router
define host{
        name                            generic-router
        notifications_enabled           1
        event_handler_enabled           1
        flap_detection_enabled          1
        failure_prediction_enabled      1
        process_perf_data               1
        retain_status_information       1
        retain_nonstatus_information    1
        check_command                   check-host-alive
        check_period                    24x7
        notification_period             24x7
        notification_options            d,u,r
        contact_groups                  support
        max_check_attempts              3
        notification_interval           30
        register                        0
}

# Router noping
define host{
        name                            noping-router
        notifications_enabled           1
        event_handler_enabled           1
        flap_detection_enabled          1
        failure_prediction_enabled      1
        process_perf_data               1
        retain_status_information       1
        retain_nonstatus_information    1
        check_period                    24x7
        notification_period             24x7
        notification_options            d,u,r
        contact_groups                  support
        max_check_attempts              3
        notification_interval           30
        register                        0
}

